import java.util.Scanner;

//M2207 - Consolidation des bases de la programmation
//TP03  - POO & Java: ecrire la classe Tableau
//Manuel Munier - IUT des Pays de l'Adour - 03/2014 

public class Tableau {
	// Attributs
	
	private double[] valeurs;
	private int      nb;
	
	// Constructeurs
	
	public Tableau(int taille) {
		valeurs = new double[taille];
		nb=0;
	}
	
	public Tableau() {
		this(100);
	}
	
	
	// Methodes privees (i.e. locales a l'objet)
	
	private void Permut(int A, int B) {
		double temp = valeurs[A];
		valeurs[A] = valeurs[B];
		valeurs[B] = temp;
	}
	
	private int RangMinTab(int P) {
		int rmin = P;
		for (int i=P+1; i<nb; i++) {
			if (valeurs[i]<valeurs[rmin]) {
				rmin = i;
			}
		}
		return rmin;
	}
	
	
	// Methodes publiques (i.e. accessibles de "l'exterieur" -> services)
	
	public void ChargerTab() {
		Scanner sc = new Scanner(System.in);
		
		System.out.print("Combien de valeurs ? ");
		nb = sc.nextInt();
		
		for (int i=0; i<nb; i++) {
			System.out.print("Saisir valeur #"+i+" ");
			valeurs[i] = sc.nextDouble();
		}
	}
	
	public void EditerTab() {
		for (int i=0; i<nb; i++) {
			System.out.println("Valeur #"+i+" = "+valeurs[i]);
		}
	}
	
	public void TriSel() {
		for (int i=0; i<nb; i++) {
			int min = RangMinTab(i);
			Permut(i,min);
		}
	}
	
	public void TriBul() {
		int nbp;

		do {
			nbp = 0;
			
			for (int i=0; i<nb-1; i++)
				if (valeurs[i+1]<valeurs[i]) {
					Permut(i,i+1);
					nbp++;
				}
		} while (nbp!=0);
	}
}
